/*
 * Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 * 
 * $Id: TSAppConfig.java 69691 2013-01-30 14:19:01Z supol $  
 */

package com.sun.ts.tests.jaxrs.spec.filter.exception;

import java.util.HashSet;
import java.util.Set;

import javax.ws.rs.core.Application;

public class TSAppConfig extends Application {

	public java.util.Set<java.lang.Class<?>> getClasses() {
		Set<Class<?>> resources = new HashSet<Class<?>>();
		resources.add(Resource.class);
		resources.add(AddOneInterceptor.class);
		resources.add(AddTenGlobalInterceptor.class);
		resources.add(PostMatchingThrowingFilter.class);
		resources.add(PreMatchingThrowingFilter.class);
		resources.add(RuntimeExceptionMapper.class);
		resources.add(NeverUsedExceptionMapper.class);
		resources.add(AddOneFilter.class);
		resources.add(AddTenGlobalFilter.class);
		return resources;
	}
}
